---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.101
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: cdi-apiserver-76b6b57fc7-fkkm5
      namespace: openshift-cnv
      uid: e5cdf726-2354-417a-9e58-ee3b225ab9ef
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:53:31Z"
    creationTimestamp: "2025-10-29T11:53:24Z"
    generateName: cdi-api-
    generation: 3
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      cdi.kubevirt.io: cdi-apiserver
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: cdi-api
      operator.cdi.kubevirt.io/createVersion: 4.19.11
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:cdi.kubevirt.io: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:operator.cdi.kubevirt.io/createVersion: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"2d5f4585-f53a-4e90-ba92-93e389f394b4"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:53:31Z"
    name: cdi-api-g7k64
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: cdi-api
      uid: 2d5f4585-f53a-4e90-ba92-93e389f394b4
    resourceVersion: "2145107"
    uid: 0da13fa8-e329-4aa7-aa58-5505fd7d1e41
  ports:
  - name: ""
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.93
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: cdi-operator-695c49dcc5-brr4c
      namespace: openshift-cnv
      uid: 5805f378-3354-476f-bb65-d9c45b4c159e
  - addresses:
    - 10.128.1.102
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: cdi-deployment-6b5f7f9f45-w27jm
      namespace: openshift-cnv
      uid: 7425df47-aef1-4cd9-8c51-1c5f2dc52246
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:53:40Z"
    creationTimestamp: "2025-10-29T11:53:24Z"
    generateName: cdi-prometheus-metrics-
    generation: 3
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      cdi.kubevirt.io: ""
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: cdi-prometheus-metrics
      operator.cdi.kubevirt.io/createVersion: 4.19.11
      prometheus.cdi.kubevirt.io: "true"
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:cdi.kubevirt.io: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:operator.cdi.kubevirt.io/createVersion: {}
            f:prometheus.cdi.kubevirt.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"03ccf9a1-da1e-4d29-ba31-435dd9e34b00"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:53:40Z"
    name: cdi-prometheus-metrics-tmt9k
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: cdi-prometheus-metrics
      uid: 03ccf9a1-da1e-4d29-ba31-435dd9e34b00
    resourceVersion: "2145279"
    uid: 5657086e-82a5-410c-b59b-a3d953d7382f
  ports:
  - name: metrics
    port: 8080
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.103
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: cdi-uploadproxy-5dfffcc796-8wvnr
      namespace: openshift-cnv
      uid: 8c755a9a-8657-471b-a9f2-12dbe3b30577
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:53:48Z"
    creationTimestamp: "2025-10-29T11:53:24Z"
    generateName: cdi-uploadproxy-
    generation: 3
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      cdi.kubevirt.io: cdi-uploadproxy
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: cdi-uploadproxy
      operator.cdi.kubevirt.io/createVersion: 4.19.11
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:cdi.kubevirt.io: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:operator.cdi.kubevirt.io/createVersion: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"581dfb0c-b8ce-469a-b6bf-0084b9a4cbe4"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:53:48Z"
    name: cdi-uploadproxy-ddsxm
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: cdi-uploadproxy
      uid: 581dfb0c-b8ce-469a-b6bf-0084b9a4cbe4
    resourceVersion: "2145543"
    uid: d789298a-4234-41be-aaa1-a12abaea1e46
  ports:
  - name: ""
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.90
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: cluster-network-addons-operator-6dcb798699-nvfcw
      namespace: openshift-cnv
      uid: 75144f3d-d5d0-43be-b8a2-86ab6b0474bb
  - addresses:
    - 10.128.1.99
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kubemacpool-mac-controller-manager-59885665cf-x5zk9
      namespace: openshift-cnv
      uid: 6a8ae9ba-bf79-4145-842a-4a0993440571
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:55:41Z"
    creationTimestamp: "2025-10-29T11:53:23Z"
    generateName: cluster-network-addons-operator-prometheus-metrics-
    generation: 3
    labels:
      app.kubernetes.io/component: network
      app.kubernetes.io/managed-by: cnao-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: cluster-network-addons-operator-prometheus-metrics
      networkaddonsoperator.network.kubevirt.io/version: sha256_9c848662be8fc30b48609104ea6851b09b38bd725f5aa2d0b889d556
      prometheus.cnao.io: "true"
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:networkaddonsoperator.network.kubevirt.io/version: {}
            f:prometheus.cnao.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"741ec8eb-c263-4c2b-9c34-788b134812ee"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:55:41Z"
    name: cluster-network-addons-operator-prometheus-metrics-m449k
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: cluster-network-addons-operator-prometheus-metrics
      uid: 741ec8eb-c263-4c2b-9c34-788b134812ee
    resourceVersion: "2148285"
    uid: dc99c2be-e3ef-416b-a36b-07d333b4c92b
  ports:
  - name: metrics
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.46.248.42
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: ovs-cni-amd64-fh7tb
      namespace: openshift-cnv
      uid: 894f49e4-f56d-4f29-b921-ac5f7459931a
  - addresses:
    - 10.46.248.41
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: ovs-cni-amd64-p657q
      namespace: openshift-cnv
      uid: 5b96d455-3f2e-4aaa-8a7b-a9f75099e778
  - addresses:
    - 10.46.248.42
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: bridge-marker-q94vl
      namespace: openshift-cnv
      uid: 57f3df60-f53a-4315-ab60-e0014db86f83
  - addresses:
    - 10.128.1.98
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kubemacpool-cert-manager-547d9b4b99-7rrcr
      namespace: openshift-cnv
      uid: 243cf14b-de3b-4331-9e5f-a4a190d6ddc4
  - addresses:
    - 10.128.1.97
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kube-cni-linux-bridge-plugin-5l6bn
      namespace: openshift-cnv
      uid: ac2179b8-e59d-437f-bde6-fd86f4412337
  - addresses:
    - 10.129.1.166
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kube-cni-linux-bridge-plugin-fttx5
      namespace: openshift-cnv
      uid: b4485304-47fe-4c94-b2fe-5cdecb8f61e1
  - addresses:
    - 10.130.0.168
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kube-cni-linux-bridge-plugin-mdwc4
      namespace: openshift-cnv
      uid: 31565343-0ada-4d25-a94b-b1858a86b052
  - addresses:
    - 10.46.248.41
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: bridge-marker-gcj4z
      namespace: openshift-cnv
      uid: 1f1a9683-fc58-41d1-85ce-e88c812ccb9e
  - addresses:
    - 10.46.248.134
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: ovs-cni-amd64-rhpc8
      namespace: openshift-cnv
      uid: 539584b3-e9eb-425c-9a20-2b1a8774294b
  - addresses:
    - 10.128.1.100
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kubevirt-ipam-controller-manager-86d56d9b65-fsscd
      namespace: openshift-cnv
      uid: c583f3d6-c72a-4a7d-ba27-f2ab88f2bb18
  - addresses:
    - 10.46.248.134
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: bridge-marker-qfnww
      namespace: openshift-cnv
      uid: ec8e8aa3-7985-48ab-9e43-21521c1f1830
  kind: EndpointSlice
  metadata:
    creationTimestamp: "2025-10-29T11:53:23Z"
    generateName: cluster-network-addons-operator-prometheus-metrics-
    generation: 43
    labels:
      app.kubernetes.io/component: network
      app.kubernetes.io/managed-by: cnao-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: cluster-network-addons-operator-prometheus-metrics
      networkaddonsoperator.network.kubevirt.io/version: sha256_9c848662be8fc30b48609104ea6851b09b38bd725f5aa2d0b889d556
      prometheus.cnao.io: "true"
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:networkaddonsoperator.network.kubevirt.io/version: {}
            f:prometheus.cnao.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"741ec8eb-c263-4c2b-9c34-788b134812ee"}: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T13:11:27Z"
    name: cluster-network-addons-operator-prometheus-metrics-mmzfq
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: cluster-network-addons-operator-prometheus-metrics
      uid: 741ec8eb-c263-4c2b-9c34-788b134812ee
    resourceVersion: "2216477"
    uid: 3190dd1d-bd6b-4e31-9db3-4cce335bb46b
  ports: null
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.89
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: hco-webhook-858679b4d7-w8tbs
      namespace: openshift-cnv
      uid: cc8bd275-4300-4a3e-ab79-7f3ac65df55e
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:52:53Z"
    creationTimestamp: "2025-10-29T11:52:43Z"
    generateName: hco-webhook-service-
    generation: 3
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: hco-webhook-service
      olm.managed: "true"
      operators.coreos.com/kubevirt-hyperconverged.openshift-cnv: ""
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:olm.managed: {}
            f:operators.coreos.com/kubevirt-hyperconverged.openshift-cnv: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"bd0e8e4c-7da9-4186-a44f-81265b51db17"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:52:53Z"
    name: hco-webhook-service-qvrr8
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: hco-webhook-service
      uid: bd0e8e4c-7da9-4186-a44f-81265b51db17
    resourceVersion: "2143718"
    uid: 2f6063d0-be7e-492e-916e-52b32db43825
  ports:
  - name: "4343"
    port: 4343
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.94
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: hostpath-provisioner-operator-584dbdbd9f-8s4zt
      namespace: openshift-cnv
      uid: 49cb8b77-fb84-4976-9628-1e017db94941
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:52:57Z"
    creationTimestamp: "2025-10-29T11:52:43Z"
    generateName: hostpath-provisioner-operator-service-
    generation: 3
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: hostpath-provisioner-operator-service
      olm.managed: "true"
      operators.coreos.com/kubevirt-hyperconverged.openshift-cnv: ""
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:olm.managed: {}
            f:operators.coreos.com/kubevirt-hyperconverged.openshift-cnv: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"1aca4c6d-c6e3-464d-99a3-57b182a20072"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:52:57Z"
    name: hostpath-provisioner-operator-service-zfh54
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: hostpath-provisioner-operator-service
      uid: 1aca4c6d-c6e3-464d-99a3-57b182a20072
    resourceVersion: "2143822"
    uid: ac48bc4d-df58-4b15-a5b8-7c78f5869643
  ports:
  - name: "9443"
    port: 9443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.94
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: hostpath-provisioner-operator-584dbdbd9f-8s4zt
      namespace: openshift-cnv
      uid: 49cb8b77-fb84-4976-9628-1e017db94941
  - addresses:
    - 10.130.0.180
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: hostpath-provisioner-csi-rpcrh
      namespace: openshift-cnv
      uid: b5e4e224-4b26-481d-9be5-18b179aac1c9
  - addresses:
    - 10.129.1.170
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: hostpath-provisioner-csi-bbjh8
      namespace: openshift-cnv
      uid: e5e12185-100f-4bcd-bed3-15cb581328e9
  - addresses:
    - 10.128.1.115
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: hostpath-provisioner-csi-bw4rj
      namespace: openshift-cnv
      uid: 0dd19a4a-627c-4dbf-8c0c-e7eacd61a1f4
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:56:04Z"
    creationTimestamp: "2025-10-29T11:56:00Z"
    generateName: hpp-prometheus-metrics-
    generation: 4
    labels:
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: hostpath-provisioner-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      k8s-app: hostpath-provisioner
      kubernetes.io/service-name: hpp-prometheus-metrics
      prometheus.hostpathprovisioner.kubevirt.io: "true"
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:k8s-app: {}
            f:kubernetes.io/service-name: {}
            f:prometheus.hostpathprovisioner.kubevirt.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"0877759a-f871-4e38-9c02-215e529023ea"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:56:04Z"
    name: hpp-prometheus-metrics-87fsh
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: hpp-prometheus-metrics
      uid: 0877759a-f871-4e38-9c02-215e529023ea
    resourceVersion: "2148986"
    uid: 0c6f8973-e86a-47cf-bcf6-a6156c5bf7fb
  ports:
  - name: metrics
    port: 8080
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.130.0.166
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: hyperconverged-cluster-cli-download-7bf755f559-9h9g9
      namespace: openshift-cnv
      uid: ce55b77f-66aa-48b2-9ae3-24fa0ffe0178
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:53:22Z"
    creationTimestamp: "2025-10-29T11:53:22Z"
    generateName: hyperconverged-cluster-cli-download-
    generation: 1
    labels:
      app: kubevirt-hyperconverged
      app.kubernetes.io/component: compute
      app.kubernetes.io/managed-by: hco-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: hyperconverged-cluster-cli-download
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"a8f6aece-9a92-414c-aa7b-ed0122d05a8a"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:53:22Z"
    name: hyperconverged-cluster-cli-download-2ddj2
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: hyperconverged-cluster-cli-download
      uid: a8f6aece-9a92-414c-aa7b-ed0122d05a8a
    resourceVersion: "2144394"
    uid: 12679105-7c15-4f99-8356-e1a609944105
  ports:
  - name: "8080"
    port: 8080
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.89
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: hco-webhook-858679b4d7-w8tbs
      namespace: openshift-cnv
      uid: cc8bd275-4300-4a3e-ab79-7f3ac65df55e
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:52:53Z"
    creationTimestamp: "2025-10-29T11:52:47Z"
    generateName: hyperconverged-cluster-webhook-operator-metrics-
    generation: 3
    labels:
      app: hyperconverged-cluster-webhook
      app.kubernetes.io/component: monitoring
      app.kubernetes.io/managed-by: hco-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: hyperconverged-cluster-webhook-operator-metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"3d534369-fbff-45d6-8c7b-388626a21263"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:52:53Z"
    name: hyperconverged-cluster-webhook-operator-metrics-dv4pg
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: hyperconverged-cluster-webhook-operator-metrics
      uid: 3d534369-fbff-45d6-8c7b-388626a21263
    resourceVersion: "2143716"
    uid: acb5532f-8302-483b-b9ea-090e9373a5d3
  ports:
  - name: http-metrics
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.99
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kubemacpool-mac-controller-manager-59885665cf-x5zk9
      namespace: openshift-cnv
      uid: 6a8ae9ba-bf79-4145-842a-4a0993440571
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:55:41Z"
    creationTimestamp: "2025-10-29T11:53:22Z"
    generateName: kubemacpool-service-
    generation: 3
    labels:
      app.kubernetes.io/component: network
      app.kubernetes.io/managed-by: cnao-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: kubemacpool-service
      networkaddonsoperator.network.kubevirt.io/version: sha256_9c848662be8fc30b48609104ea6851b09b38bd725f5aa2d0b889d556
      prometheus.cnao.io: "true"
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:networkaddonsoperator.network.kubevirt.io/version: {}
            f:prometheus.cnao.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"f61296c8-4104-49cf-814a-ff582742293c"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:55:41Z"
    name: kubemacpool-service-ng7vb
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: kubemacpool-service
      uid: f61296c8-4104-49cf-814a-ff582742293c
    resourceVersion: "2148286"
    uid: 8ef5cd9e-7619-4456-a629-438bc5ca6e80
  ports:
  - name: ""
    port: 8000
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.130.0.172
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kubevirt-apiserver-proxy-7477889f68-45jcn
      namespace: openshift-cnv
      uid: 3ce461ab-5497-4ae1-b55f-b4e2ba1713ec
  - addresses:
    - 10.128.1.107
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kubevirt-apiserver-proxy-7477889f68-wsffc
      namespace: openshift-cnv
      uid: bc373921-54c4-4156-8e12-a4a599a8ef19
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:54:08Z"
    creationTimestamp: "2025-10-29T11:53:22Z"
    generateName: kubevirt-apiserver-proxy-service-
    generation: 3
    labels:
      app: kubevirt-hyperconverged
      app.kubernetes.io/component: kubevirt-apiserver-proxy
      app.kubernetes.io/managed-by: hco-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: kubevirt-apiserver-proxy-service
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"4adfc1d1-9782-4282-af21-df3f2c799fdf"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:54:09Z"
    name: kubevirt-apiserver-proxy-service-4wfd4
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: kubevirt-apiserver-proxy-service
      uid: 4adfc1d1-9782-4282-af21-df3f2c799fdf
    resourceVersion: "2146501"
    uid: adec2cc9-b0ca-486e-90e0-6a92516de63d
  ports:
  - name: kubevirt-apiserver-proxy-port
    port: 8080
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.130.0.171
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kubevirt-console-plugin-6b9fcfb858-npg7x
      namespace: openshift-cnv
      uid: 6deecbf4-85c0-4bc8-bb63-262b5be27d03
  - addresses:
    - 10.128.1.106
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kubevirt-console-plugin-6b9fcfb858-knv2w
      namespace: openshift-cnv
      uid: 804ba341-d44f-4c0d-a942-0dab92542178
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:54:08Z"
    creationTimestamp: "2025-10-29T11:53:22Z"
    generateName: kubevirt-console-plugin-service-
    generation: 3
    labels:
      app: kubevirt-hyperconverged
      app.kubernetes.io/component: kubevirt-console-plugin
      app.kubernetes.io/managed-by: hco-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: kubevirt-console-plugin-service
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"266dd95c-e119-4c77-ad51-1a9294676bcc"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:54:08Z"
    name: kubevirt-console-plugin-service-sf4c8
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: kubevirt-console-plugin-service
      uid: 266dd95c-e119-4c77-ad51-1a9294676bcc
    resourceVersion: "2146495"
    uid: 319aaf6e-ae18-4905-9174-afd9880b9b91
  ports:
  - name: kubevirt-console-plugin-port
    port: 9443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.88
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: hco-operator-64c86c5667-vgljf
      namespace: openshift-cnv
      uid: 735f192e-2116-4838-8eb7-f48725528797
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:52:52Z"
    creationTimestamp: "2025-10-29T11:52:47Z"
    generateName: kubevirt-hyperconverged-operator-metrics-
    generation: 2
    labels:
      app: kubevirt-hyperconverged
      app.kubernetes.io/component: monitoring
      app.kubernetes.io/managed-by: hco-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: kubevirt-hyperconverged-operator-metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"2757744e-bacf-4b96-9c03-85d41109639b"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:52:52Z"
    name: kubevirt-hyperconverged-operator-metrics-fchfd
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: kubevirt-hyperconverged-operator-metrics
      uid: 2757744e-bacf-4b96-9c03-85d41109639b
    resourceVersion: "2143668"
    uid: 6eafdc83-4032-4145-b56c-fd6ab2051dc9
  ports:
  - name: http-metrics
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.100
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kubevirt-ipam-controller-manager-86d56d9b65-fsscd
      namespace: openshift-cnv
      uid: c583f3d6-c72a-4a7d-ba27-f2ab88f2bb18
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:53:38Z"
    creationTimestamp: "2025-10-29T11:53:23Z"
    generateName: kubevirt-ipam-controller-webhook-service-
    generation: 3
    labels:
      app: ipam-virt-workloads
      app.kubernetes.io/component: network
      app.kubernetes.io/managed-by: cnao-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: kubevirt-ipam-controller-webhook-service
      networkaddonsoperator.network.kubevirt.io/version: sha256_9c848662be8fc30b48609104ea6851b09b38bd725f5aa2d0b889d556
      prometheus.cnao.io: "true"
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:networkaddonsoperator.network.kubevirt.io/version: {}
            f:prometheus.cnao.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"d042f522-d4cf-4faf-85b7-e326cdb7ebc4"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:53:38Z"
    name: kubevirt-ipam-controller-webhook-service-vvksv
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: kubevirt-ipam-controller-webhook-service
      uid: d042f522-d4cf-4faf-85b7-e326cdb7ebc4
    resourceVersion: "2145241"
    uid: 4f08b0f4-f2c3-4616-ade2-1c827371392f
  ports:
  - name: ""
    port: 9443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.91
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-operator-9dfd7c888-7dmts
      namespace: openshift-cnv
      uid: ef7852f1-be3f-414e-8623-01da7724810f
  - addresses:
    - 10.130.0.167
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-operator-9dfd7c888-9pz9x
      namespace: openshift-cnv
      uid: 5d0dff82-7fcc-4158-8d5a-d2326d04bf58
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:53:49Z"
    creationTimestamp: "2025-10-29T11:53:49Z"
    generateName: kubevirt-operator-webhook-
    generation: 1
    labels:
      app.kubernetes.io/component: compute
      app.kubernetes.io/managed-by: virt-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: kubevirt-operator-webhook
      kubevirt.io: ""
      prometheus.kubevirt.io: "true"
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:kubevirt.io: {}
            f:prometheus.kubevirt.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"70b48076-36d4-4259-8339-1ba9af1cfc95"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:53:49Z"
    name: kubevirt-operator-webhook-cbzmz
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: kubevirt-operator-webhook
      uid: 70b48076-36d4-4259-8339-1ba9af1cfc95
    resourceVersion: "2145577"
    uid: ca92335f-5497-4475-8b4b-97b7d0dd1495
  ports:
  - name: webhooks
    port: 8444
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.91
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-operator-9dfd7c888-7dmts
      namespace: openshift-cnv
      uid: ef7852f1-be3f-414e-8623-01da7724810f
  - addresses:
    - 10.130.0.167
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-operator-9dfd7c888-9pz9x
      namespace: openshift-cnv
      uid: 5d0dff82-7fcc-4158-8d5a-d2326d04bf58
  - addresses:
    - 10.128.1.105
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-api-5c6c7cdbb9-n5f8k
      namespace: openshift-cnv
      uid: f75fa9cf-7bdd-49bc-aa78-b3c788a9e495
  - addresses:
    - 10.130.0.169
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-api-5c6c7cdbb9-vlfzf
      namespace: openshift-cnv
      uid: 34bd39c2-60d0-4b6c-af16-eb8b4888e627
  - addresses:
    - 10.130.0.176
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-handler-k2767
      namespace: openshift-cnv
      uid: 344a3712-cc9d-4f8a-81ed-0301202f3cae
  - addresses:
    - 10.129.1.167
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-exportproxy-785f6dbf7d-lzhbw
      namespace: openshift-cnv
      uid: 88b379ef-4527-439a-bb4a-db8c77d3913d
  - addresses:
    - 10.128.1.112
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-controller-65856f88c9-9krww
      namespace: openshift-cnv
      uid: ff458210-b963-4056-b297-32714c65387f
  - addresses:
    - 10.128.1.113
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-handler-m6srv
      namespace: openshift-cnv
      uid: 0990b2d6-891b-4bea-9877-76d4808dccef
  - addresses:
    - 10.130.0.175
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-controller-65856f88c9-zscw4
      namespace: openshift-cnv
      uid: 7d97a6de-ec76-4e06-81f0-be04b45f4868
  - addresses:
    - 10.129.1.169
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-handler-cf85n
      namespace: openshift-cnv
      uid: 02e891ab-8af4-4528-9f79-c63b077c1a56
  - addresses:
    - 10.129.1.168
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-exportproxy-785f6dbf7d-t7556
      namespace: openshift-cnv
      uid: c1372be2-8e8e-4663-ac3f-2dc993042ed0
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:54:48Z"
    creationTimestamp: "2025-10-29T11:53:49Z"
    generateName: kubevirt-prometheus-metrics-
    generation: 19
    labels:
      app.kubernetes.io/component: compute
      app.kubernetes.io/managed-by: virt-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: kubevirt-prometheus-metrics
      kubevirt.io: ""
      prometheus.kubevirt.io: "true"
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:kubevirt.io: {}
            f:prometheus.kubevirt.io: {}
            f:service.kubernetes.io/headless: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"d27e2095-ea27-4223-b6b1-f50d32e23639"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:54:48Z"
    name: kubevirt-prometheus-metrics-cdpkv
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: kubevirt-prometheus-metrics
      uid: d27e2095-ea27-4223-b6b1-f50d32e23639
    resourceVersion: "2147424"
    uid: e27c3587-66ea-4a61-965d-68dcb92f858a
  ports:
  - name: metrics
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.92
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: ssp-operator-8565b64cb9-t8spx
      namespace: openshift-cnv
      uid: b2a15d29-bf40-4187-b6f0-2fc9eeae6c71
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:53:57Z"
    creationTimestamp: "2025-10-29T11:52:49Z"
    generateName: ssp-operator-metrics-
    generation: 5
    labels:
      app.kubernetes.io/component: service-controller
      app.kubernetes.io/managed-by: ssp-operator-services
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: ssp-operator-metrics
      prometheus.ssp.kubevirt.io: "true"
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:prometheus.ssp.kubevirt.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"f997db7f-2c2f-4f9d-b1f8-4e5ed313645b"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:53:57Z"
    name: ssp-operator-metrics-rnn72
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: ssp-operator-metrics
      uid: f997db7f-2c2f-4f9d-b1f8-4e5ed313645b
    resourceVersion: "2145793"
    uid: 8067ddeb-1a35-4301-a767-4250cdc0aa4d
  ports:
  - name: metrics
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.92
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: ssp-operator-8565b64cb9-t8spx
      namespace: openshift-cnv
      uid: b2a15d29-bf40-4187-b6f0-2fc9eeae6c71
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:53:57Z"
    creationTimestamp: "2025-10-29T11:52:43Z"
    generateName: ssp-operator-service-
    generation: 5
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: ssp-operator-service
      olm.managed: "true"
      operators.coreos.com/kubevirt-hyperconverged.openshift-cnv: ""
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:olm.managed: {}
            f:operators.coreos.com/kubevirt-hyperconverged.openshift-cnv: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"d5388ebf-dc00-4d8f-992d-99df0c643c8b"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:53:57Z"
    name: ssp-operator-service-plgnm
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: ssp-operator-service
      uid: d5388ebf-dc00-4d8f-992d-99df0c643c8b
    resourceVersion: "2145794"
    uid: 327f54ab-f4fb-4dae-bbae-5068b5ec95a3
  ports:
  - name: "9443"
    port: 9443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.111
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-template-validator-74cdf56548-lws8c
      namespace: openshift-cnv
      uid: 1cfc4306-20af-4b3b-8ca3-1c096a0ee968
  - addresses:
    - 10.130.0.174
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-template-validator-74cdf56548-25sb2
      namespace: openshift-cnv
      uid: 9fec180c-12bf-4673-9f9e-4066144703ad
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:54:21Z"
    creationTimestamp: "2025-10-29T11:54:05Z"
    generateName: template-validator-metrics-
    generation: 5
    labels:
      app.kubernetes.io/component: templating
      app.kubernetes.io/managed-by: ssp-operator
      app.kubernetes.io/name: template-validator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: template-validator-metrics
      prometheus.ssp.kubevirt.io: "true"
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:prometheus.ssp.kubevirt.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"690c11e2-ad49-44ff-a605-2ed98a077136"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:54:21Z"
    name: template-validator-metrics-6b6kz
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: template-validator-metrics
      uid: 690c11e2-ad49-44ff-a605-2ed98a077136
    resourceVersion: "2146908"
    uid: 1d8432f5-4f8b-43a7-99f6-001559371342
  ports:
  - name: metrics
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.105
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-api-5c6c7cdbb9-n5f8k
      namespace: openshift-cnv
      uid: f75fa9cf-7bdd-49bc-aa78-b3c788a9e495
  - addresses:
    - 10.130.0.169
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-api-5c6c7cdbb9-vlfzf
      namespace: openshift-cnv
      uid: 34bd39c2-60d0-4b6c-af16-eb8b4888e627
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:54:16Z"
    creationTimestamp: "2025-10-29T11:53:49Z"
    generateName: virt-api-
    generation: 5
    labels:
      app.kubernetes.io/component: compute
      app.kubernetes.io/managed-by: virt-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: virt-api
      kubevirt.io: virt-api
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:kubevirt.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"3ff05e65-ac75-4b68-ac4f-890b8fd0e21c"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:54:16Z"
    name: virt-api-j927x
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: virt-api
      uid: 3ff05e65-ac75-4b68-ac4f-890b8fd0e21c
    resourceVersion: "2146753"
    uid: 3421d260-66ef-4154-a509-88219a284f48
  ports:
  - name: ""
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.129.1.167
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-exportproxy-785f6dbf7d-lzhbw
      namespace: openshift-cnv
      uid: 88b379ef-4527-439a-bb4a-db8c77d3913d
  - addresses:
    - 10.129.1.168
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-exportproxy-785f6dbf7d-t7556
      namespace: openshift-cnv
      uid: c1372be2-8e8e-4663-ac3f-2dc993042ed0
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:54:45Z"
    creationTimestamp: "2025-10-29T11:53:49Z"
    generateName: virt-exportproxy-
    generation: 5
    labels:
      app.kubernetes.io/component: compute
      app.kubernetes.io/managed-by: virt-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: virt-exportproxy
      kubevirt.io: virt-exportproxy
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:kubevirt.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"c8730ef8-cac8-4399-b28e-01537d227887"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:54:45Z"
    name: virt-exportproxy-rwrgh
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: virt-exportproxy
      uid: c8730ef8-cac8-4399-b28e-01537d227887
    resourceVersion: "2147374"
    uid: b91d1f36-2eb8-43cb-8088-f4093eafb0a1
  ports:
  - name: ""
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.1.111
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-template-validator-74cdf56548-lws8c
      namespace: openshift-cnv
      uid: 1cfc4306-20af-4b3b-8ca3-1c096a0ee968
  - addresses:
    - 10.130.0.174
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: virt-template-validator-74cdf56548-25sb2
      namespace: openshift-cnv
      uid: 9fec180c-12bf-4673-9f9e-4066144703ad
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-29T11:54:21Z"
    creationTimestamp: "2025-10-29T11:54:05Z"
    generateName: virt-template-validator-
    generation: 5
    labels:
      app.kubernetes.io/component: templating
      app.kubernetes.io/managed-by: ssp-operator
      app.kubernetes.io/name: template-validator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: virt-template-validator
      kubevirt.io: virt-template-validator
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:kubevirt.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"5c636d4c-63a3-49c2-9519-c772eb61ffbd"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-29T11:54:21Z"
    name: virt-template-validator-28lq4
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: virt-template-validator
      uid: 5c636d4c-63a3-49c2-9519-c772eb61ffbd
    resourceVersion: "2146906"
    uid: 3c441ee3-c2c5-46ca-a8bc-c2402c3a09b3
  ports:
  - name: webhook
    port: 8443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2220042"
